// ----------------------------------------
// Вывод текста в окно приложения
// ----------------------------------------

#define STRICT
#include <windows.h>

#include "window.hpp"
#include "winapp.hpp"
#include "textout.hpp"

// Имя класса окна
char szClassName[]   = "TextoutAppClass";

// Заголовок окна
char szWindowTitle[] = "Textout Application";

// =====================================
// Функция WinMain
// =====================================
#pragma argsused

int PASCAL
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	LPSTR     lpszCmdLine, int       nCmdShow)
{
  // Указатель на объект класса Window - главное
  // окно приложения
  Window *PMainWindow;

  // Создаем объект класса WinApp - наше приложение
  WinApp App(hInstance, hPrevInstance, lpszCmdLine, nCmdShow);

  // Регистрируем класс для главного окна приложения
  App.RegisterWndClass(szClassName, (WNDPROC)WndProc);

  // Проверяем ошибки, которые могли возникнуть
  // при регистрации
  if(App.Error()) return App.Error();

  // Создаем объект класса Window - главное
  // окно приложения
  PMainWindow = new Window(hInstance,
	szClassName, szWindowTitle);

  // Проверяем ошибки, которые могли возникнуть
  // при создании окна
  if(PMainWindow->Error()) PMainWindow->Error();

  // Отображаем окно
  PMainWindow->Show(nCmdShow);

  // Посылаем в окно сообщение WM_PAINT
  PMainWindow->Update();

  // Запускаем цикл обработки сообщений
  App.Go();

  // Завершаем работу приложения
  return App.Error();
}


